setup 2.895 release candidate - please test

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

setup 2.895 release candidate - please test

Jon TURNEY

A new setup release candidate is available at:

   https://cygwin.com/setup/setup-2.895.x86_64.exe (64 bit version)
   https://cygwin.com/setup/setup-2.895.x86.exe    (32 bit version)

Please test and report any problems here.

This is not the place for setup feature requests.

Changes compared to 2.893:

- Drag setup into the 1990s, by replacing the custom-drawn package
chooser with a ListView common control.

-- Use standard UI elements to choose an action to take on a package or
category, rather than the weird UX of clicking to cycle around a list of
options of undisclosed length.

-- Behaviour change: previously, a category action only affected
packages which matched any name search filter applied.  Now all packages
contained by the category are affected.

-- Category view now shows a count of packages in a category

-- Add long description as a tooltip for description

-- Package selection can now be done via keyboard (crudely)

- Add support for ZStandard compression for packages and .ini files

- Fix a new warning reported by gcc 8

- Avoid a potential crash when checking for cached packages
   Addresses: https://cygwin.com/ml/cygwin/2018-10/msg00033.html

- Use pkgconfig for build prerequisite checking

- Fix log spam when package vendor is something other than "cygwin"

- Various cleanups

Thanks to Ken Brown and Achim Gratz.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: setup 2.895 release candidate - please test

marco atzeri-4
Am 21.10.2018 um 18:12 schrieb Jon Turney:
>
> A new setup release candidate is available at:
>
>    https://cygwin.com/setup/setup-2.895.x86_64.exe (64 bit version)
>    https://cygwin.com/setup/setup-2.895.x86.exe    (32 bit version)
>
> Please test and report any problems here.
>


Noted on local repository

it does not suggest to upgrade from
cmake 3.6.2-1 to 3.12.4-1 but it reports the
3.12.4-1 as only version available on the local repository

maybe the order priority is not numerical ?

I copied the 3.12.4-1 on
https://drive.google.com/drive/folders/1M6qBjBt0lEAfgAJuSa4GhODOvAlg2rjp

If you want to test them . Be aware it is 250 Mb per arch.

Regards
Marco



---
Diese E-Mail wurde von Avast Antivirus-Software auf Viren geprüft.
https://www.avast.com/antivirus


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: setup 2.895 release candidate - please test

marco atzeri-4


Am 06.11.2018 um 11:29 schrieb Marco Atzeri:

> Am 21.10.2018 um 18:12 schrieb Jon Turney:
>>
>> A new setup release candidate is available at:
>>
>>    https://cygwin.com/setup/setup-2.895.x86_64.exe (64 bit version)
>>    https://cygwin.com/setup/setup-2.895.x86.exe    (32 bit version)
>>
>> Please test and report any problems here.
>>
>
>
> Noted on local repository
>
> it does not suggest to upgrade from
> cmake 3.6.2-1 to 3.12.4-1 but it reports the
> 3.12.4-1 as only version available on the local repository
>
> maybe the order priority is not numerical ?
>
> I copied the 3.12.4-1 on
> https://drive.google.com/drive/folders/1M6qBjBt0lEAfgAJuSa4GhODOvAlg2rjp
>
> If you want to test them . Be aware it is 250 Mb per arch.
>
> Regards
> Marco
>

I take back.
Setup was aware that one dependency was missing for the upgrade
and not available from the local repository.

As soon I added the missing dependency, it proposes the upgrade as expected.

Sorry for the noise
Marco


---
Diese E-Mail wurde von Avast Antivirus-Software auf Viren geprüft.
https://www.avast.com/antivirus


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: setup 2.895 release candidate - please test

marco atzeri-4
In reply to this post by Jon TURNEY
Am 21.10.2018 um 18:12 schrieb Jon Turney:
>
> A new setup release candidate is available at:
>
>    https://cygwin.com/setup/setup-2.895.x86_64.exe (64 bit version)
>    https://cygwin.com/setup/setup-2.895.x86.exe    (32 bit version)
>
> Please test and report any problems here.
>

Hey Jon,
as no one complained, is it time for deploying it ?

Regards
Marco

---
Diese E-Mail wurde von Avast Antivirus-Software auf Viren geprüft.
https://www.avast.com/antivirus


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: setup 2.895 release candidate - please test

Jon TURNEY
On 06/12/2018 09:12, Marco Atzeri wrote:

> Am 21.10.2018 um 18:12 schrieb Jon Turney:
>>
>> A new setup release candidate is available at:
>>
>>    https://cygwin.com/setup/setup-2.895.x86_64.exe (64 bit version)
>>    https://cygwin.com/setup/setup-2.895.x86.exe    (32 bit version)
>>
>> Please test and report any problems here.
>>
>
> Hey Jon,
> as no one complained, is it time for deploying it ?

Thanks for the reminder.

I was hoping to look at improving the 'skip' -> 'install current
version' flow (which used to be a single click, but now requires you to
pick the latest non-test version), but it seems that I have no time for
that, so I guess we'll go with this :)

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: setup 2.895 release candidate - please test

Wayne Davison
On Sun, Dec 16, 2018 at 6:52 AM Jon Turney wrote:
> I was hoping to look at improving the 'skip' -> 'install current
> version' flow (which used to be a single click, but now requires you to
> pick the latest non-test version)

That's a nice idea for a future change. I'd suggest making it where
you can click on the "bin?" checkbox and have it switch from "Skip" to
the latest version. It already cycles between a few values (such as
Uninstall and Reinstall, depending on the state of the package) but it
will not return the drop-down back to "Skip" for an installed package,
nor will it return back to the new version number on a pending update
(when pressing the checkbox multiple times).

One other suggestion I'd love to see would be to group the uninstall &
install lines in the list of upcoming actions into a single line, so
that instead of the user thinking that a package is going away (e.g.
in a really long list of uninstall lines) it says something like
"Updating FOO from VER1 to VER2".  As an alternative, if the uninstall
line said "(for an update)" instead of "(automatically added)" that
would have less potential for confusion.


..wayne..

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple